<div class="row">
  <div class="col-sm-3">
    <div class="card">
      <div class="card-body">
        <div class="">
          <ul class="StepProgress">
            <li class="StepProgress-item is-done">
              <button class="btn btn-primary btn-sm" (click)="currentView = 1">Profile details</button>
            </li>
            <li class="StepProgress-item"
                [ngClass]="{'is-done': initialTechnicalReviews?.length > 0, 'current': initialTechnicalReviews.length === 0}">
              <button class="btn btn-primary btn-sm" (click)="currentView = 2;getITRDetails();">Initial TR</button>
            </li>
            <li class="StepProgress-item" *ngIf="initialTechnicalReviews?.length > 0"
                [ngClass]="{'is-done': videoRounds.length > 0, 'current': videoRounds.length === 0 && initialTechnicalReviews.length > 0}">
              <button class="btn btn-primary btn-sm" (click)="currentView = 3;getVRDetails();">Video
                Round
              </button>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
  <div class="col-sm-9">
    <div class="card">
      <div class="card-body">
        <div *ngIf="currentView == 1">
          <div class="row">
            <div class="col-sm-9">
              <h4 class="text-dark font-weight-bolder mb-5 mt-1">Profile Details</h4>
            </div>
            <div class="col-sm-3 text-right float-end">
              <button type="button" class="btn btn-primary btn-sm hvr-grow"
                      [routerLink]="['/profile/view-profile', profileId]">Edit
                profile
              </button>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-6">
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Name:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.name}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Email:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.email}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Experience:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.experience}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Contact Number:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.contactNumber}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Resume:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  <a [attr.href]="profile?.resume" download>
                    <button class="btn btn-warning btn-sm text-white hvr-shrink" *ngIf="profile?.resume">
                      <i class="fa fa-cloud-download" title="Download CV"></i>&nbsp;Download
                    </button>
                  </a>
                  <span class="text-danger"
                        *ngIf="!profile?.resume">Sorry! No resume available for this profile</span>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Referral Method:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.referralMethod}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Referred By:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.referredBy}}
                </div>
              </div>
            </div>
            <div class="col-sm-6">
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Status:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  <span class="badge"
                        [ngClass]="{'bg-success': profile?.status !== 'Offer Rejected', 'bg-danger': profile?.status === 'Offer Rejected'}">{{profile?.status}}</span>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Current Company:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.currentCompany}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Skill Set:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.skillSet}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Whatsapp Number:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.alternateContactNumber}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Notice Period:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.noticePeriod}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">Last Date:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.lastDate}}
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label class="form-label ">EP Number#:</label>
                  </div>
                </div>
                <div class="col-sm-8">
                  {{profile?.EPNumber}}
                </div>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="currentView == 2">
          <div class="row">
            <div class="col-sm-9">
              <h4 class="text-dark font-weight-bolder mb-5 mt-1">Initial TR</h4>
            </div>
            <div class="col-sm-3 text-right float-end">
              <button type="button" class="btn btn-primary btn-sm hvr-grow" data-bs-target="#addInitialTRModal"
                      data-bs-toggle="modal">Add Details
              </button>
            </div>
            <div class="alert alert-warning center bold" *ngIf="initialTechnicalReviews?.length === 0">
              <i class="fa fa-exclamation-triangle"></i>&nbsp;&nbsp;Initial TR is pending for this profile it seems. No
              records updated.
            </div>
            <div class="card mb-3" *ngFor="let itr of initialTechnicalReviews">
              <div class="card-body">
                <div class="row">
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label">Interviewer Name:</label>&nbsp;&nbsp;<span
                      class="text-dark bolder">{{itr.name}}</span>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Date of Discussion:</label>&nbsp;&nbsp;<span
                      class="badge bg-success">{{itr.date}}</span>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="mb-3">
                      <label class="form-label ">Decision:</label>&nbsp;&nbsp;<span
                      class="badge bg-info"
                      [ngClass]="{'bg-success': itr.decision === 'Selected', 'bg-danger': itr.decision === 'Rejected', 'bg-warning': itr.decision === 'On Hold'}">{{itr.decision}}</span>
                    </div>
                  </div>
                </div>
                <div class="row mb-3">
                  <div class="col-sm-10">
                    <div class="mb-1">
                      <label class="form-label ">Feedback:</label>
                    </div>
                    <div class="alert alert-warning">
                      <p [innerHTML]="itr?.feedback"></p>
                    </div>
                  </div>
                </div>
                <div class="row mb-3">
                  <div class="col-sm-10">
                  </div>
                  <div class="col-sm-2">
                    <button type="button" class="btn btn-info btn-sm hvr-grow" (click)="editITR(itr)">Edit
                    </button>&nbsp;&nbsp;
                    <button type="button" class="btn btn-danger btn-sm hvr-grow" (click)="deleteITR(itr)">Delete
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div *ngIf="currentView == 3">
          <div class="row mb-3">
            <div class="col-sm-9">
              <h4 class="text-dark font-weight-bolder mb-5 mt-1">Video Round</h4>
            </div>
            <div class="col-sm-3 text-right float-end">
              <button type="button" class="btn btn-primary btn-sm hvr-grow" data-bs-target="#addVRModal"
                      data-bs-toggle="modal">Add Details
              </button>
            </div>
            <div class="card mb-3" *ngFor="let vr of videoRounds">
              <div class="card-body">
                <div class="row mb-3">
                  <div class="col-sm-4 mb-3">
                    <label class="form-label ">Client:</label>&nbsp;&nbsp;<span
                    class="badge bg-success">{{vr.client}}</span>
                  </div>
                </div>
                <div class="row mb-3">
                  <div class="col-sm-4 mb-3">
                    <label class="form-label ">Date of Discussion:</label>&nbsp;&nbsp;<span
                    class="badge bg-success">{{vr.date}}</span>
                  </div>
                  <div class="col-sm-4 mb-3">
                    <label class="form-label ">Time of Discussion:</label>&nbsp;&nbsp;<span
                    class="badge bg-success">{{vr.timeOfDiscussion}}</span>
                  </div>
                  <div class="col-sm-4 mb-3">
                    <label class="form-label ">Final Decision:</label>&nbsp;&nbsp;<span
                    class="badge bg-info"
                    [ngClass]="{'bg-success': vr.finalDecision === 'Selected', 'bg-danger': vr.finalDecision === 'Rejected', 'bg-warning': vr.finalDecision === 'On Hold'}">{{vr.finalDecision}}</span>
                  </div>
                </div>
                <div class="row mb-3">
                  <div class="col-sm-10">
                    <div class="mb-1">
                      <label class="form-label ">Feedback:</label>
                    </div>
                    <div class="alert alert-warning">
                      <p [innerHTML]="vr?.feedback"></p>
                    </div>
                  </div>
                </div>
                <div class="row mb-3">
                  <div class="col-sm-10">

                  </div>
                  <div class="col-sm-2">
                    <button type="button" class="btn btn-info btn-sm hvr-grow" (click)="editVR(vr)">Edit
                    </button>&nbsp;&nbsp;
                    <button type="button" class="btn btn-danger btn-sm hvr-grow" (click)="deleteVR(vr)">Delete
                    </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>


  <!-- Add Initial TR Modal -->
  <div class="modal fade" id="addInitialTRModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
       aria-labelledby="addInitialTRModal" aria-hidden="true">
    <div class="modal-dialog modal-fullscreen-md-down">
      <div class="modal-content">
        <div class="modal-header bg-theme">
          <h5 class="modal-title text-white"><span *ngIf="!editMode">Add</span><span
            *ngIf="editMode">Edit</span>&nbsp;Add Initial TR Details</h5>
          <button type="button" class="btn-close btn-close-white " data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <form class="form" [formGroup]="addInitialTRForm" (submit)="saveITRForm()">
          <div class="modal-body">
            <div class="alert alert-danger mt-2 mb-2" *ngIf="errorMessage">
              {{errorMessage}}
            </div>
            <div class="mt-1 mb-1">
              <div class="row mb-3">
                <div class="col-sm-4">
                  <label for="name" class="form-label ">Interviewer Name</label>
                  <input type="text" formControlName="name" class="form-control" id="name"
                         required>
                </div>
                <div class="col-sm-4">
                  <label class="form-label " for="name">Date
                    of Discussion</label>
                  <input class="form-control" placeholder="dd-mm-yyyy"
                         name="dateOfDiscussion" formControlName="dateOfDiscussion" (click)="e.toggle()" ngbDatepicker
                         #e="ngbDatepicker">
                </div>
                <div class="col-sm-4">
                  <label class="form-label " for="finalDecision">Decision</label>
                  <select class="form-select" formControlName="decision" id="decision">
                    <option value="" selected>Please select</option>
                    <option value="Selected">Selected</option>
                    <option value="Rejected">Rejected</option>
                    <option value="On Hold">On Hold</option>
                  </select>
                </div>
              </div>
              <div class="mb-3">
                <label for="feedback" class="form-label ">Feedback</label>
                <quill-editor [modules]="modules" placeholder="Enter your feedback" [styles]="{height: '150px'}"
                              formControlName="feedback" id="feedback">
                </quill-editor>
              </div>
            </div>
          </div>
          <div class="modal-footer center">
            <div class="center">
              <button type="submit" class="btn btn-primary btn-sm" [disabled]="addInitialTRForm.invalid">Save</button>&nbsp;&nbsp;&nbsp;
              <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal">Close</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
  <!-- Add Initial Modal -->

  <!-- Add VR Modal -->
  <div class="modal fade" id="addVRModal" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
       aria-labelledby="addVRModal" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header bg-theme">
          <h5 class="modal-title text-white"><span *ngIf="!editMode">Add</span><span
            *ngIf="editMode">Edit</span>&nbsp;Video round details</h5>
          <button type="button" class="btn-close btn-close-white " data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <form class="form" [formGroup]="addVRForm" (submit)="saveVRForm()">
          <div class="modal-body">
            <div class="alert alert-danger mt-2 mb-2" *ngIf="errorMessage">
              {{errorMessage}}
            </div>
            <div class="mt-1 mb-1">
              <div class="row">
                <div class="col-sm-6">
                  <div class="mb-3">
                    <label for="client" class="form-label ">Client:</label>
                    <input type="text" formControlName="client" class="form-control" id="client"
                           required>
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-sm-4">
                  <div class="mb-3">
                    <label for="finalDecision" class="form-label ">Final Decision:</label>
                    <select class="form-select" formControlName="finalDecision" id="finalDecision">
                      <option value="" selected>Please select</option>
                      <option value="Selected">Selected</option>
                      <option value="Rejected">Rejected</option>
                      <option value="On Hold">On Hold</option>
                      <option value="Discussion with HR Pending">Discussion with HR Pending</option>
                      <option value="VR Rescheduled">VR Rescheduled</option>
                    </select>
                  </div>
                </div>
                <div class="col-sm-4">
                  <label class="form-label " for="name">VR Date</label>
                  <input class="form-control" placeholder="dd-mm-yyyy"
                         name="dateOfDiscussion" formControlName="dateOfDiscussion" (click)="d.toggle()" ngbDatepicker
                         #d="ngbDatepicker">
                </div>
                <div class="col-sm-4">
                  <label class="form-label " for="name">Slot</label>
                  <select class="form-select" formControlName="timeOfDiscussion" id="timeOfDiscussion">
                    <option value='' selected>Please select</option>
                    <option value="9AM - 10AM">9AM - 10AM</option>
                    <option value="10AM - 11AM">10AM - 11AM</option>
                    <option value="11AM - 12PM">11AM - 12PM</option>
                    <option value="12PM - 1PM">12PM - 1PM</option>
                    <option value="2PM - 3PM">2PM - 3PM</option>
                    <option value="3PM - 4PM">3PM - 4PM</option>
                    <option value="4PM - 5PM">4PM - 5PM</option>
                    <option value="5PM - 6PM">5PM - 6PM</option>
                    <option value="6PM - 7PM">6PM - 7PM</option>
                    <option value="7PM - 8PM">7PM - 8PM</option>
                  </select>
                </div>
              </div>
              <div class="mb-3">
                <label for="feedback" class="form-label ">Feedback</label>
                <quill-editor [modules]="modules" placeholder="Enter your feedback" [styles]="{height: '150px'}"
                              formControlName="feedback" id="vrFeedback">
                </quill-editor>
              </div>
            </div>
          </div>
          <div class="modal-footer center">
            <div class="center">
              <button type="submit" class="btn btn-primary btn-sm" [disabled]="addVRForm.invalid">Save</button>&nbsp;&nbsp;&nbsp;
              <button type="button" class="btn btn-secondary btn-sm" data-bs-dismiss="modal">Close</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
  <!-- Add VR Modal -->
